using System;

internal sealed class Delegate690 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate690 delegate690_1)
	{
		return delegate690_1();
	}

	public extern Delegate690(object object_0, IntPtr intptr_0);

	static Delegate690()
	{
		Class10.smethod_13(typeof(Delegate690).TypeHandle);
	}

	internal static Delegate690 delegate690_0;
}
